Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceLogs, drains and alerts

List alerts

GET
/v1/alerts

Alerts newest first: open (triggered or acknowledged) or resolved, with how often each repeated and its timeline of notifications.

Authorization

bearer
AuthorizationBearer <token>

In: header

Query Parameters

status?string
Default"all"

Value in

  • "open"
  • "triggered"
  • "acknowledged"
  • "resolved"
  • "all"
rule_id?string
Match^alr_[a-z0-9]{8,32}$
limit?integer
Range1 <= value <= 200
Default50

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/alerts"
{  "items": [    {      "object": "alert",      "id": "string",      "rule_id": "string",      "rule_name": "string",      "metric": "error_rate",      "severity": "info",      "status": "triggered",      "subject": "string",      "title": "string",      "message": "string",      "value": 0,      "threshold": 0,      "count": 0,      "started_at": "2019-08-24T14:15:22Z",      "last_seen_at": "2019-08-24T14:15:22Z",      "acknowledged_at": "2019-08-24T14:15:22Z",      "acknowledged_by": "string",      "resolved_at": "2019-08-24T14:15:22Z",      "resolved_reason": "auto",      "muted": true,      "timeline": [        {          "at": "2019-08-24T14:15:22Z",          "type": "triggered",          "message": "string",          "destination_id": null,          "actor": null        }      ]    }  ]}